מחוברים עכשיו  

/v1/partner/

GET

/v1/partner/get_bulk_availability_template

#
Get the CSV columns and example row for bulk venue availability imports.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/partner/get_bulk_availability_template' \
  --data-urlencode 'key={{API_KEY}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$partner_get_bulk_availability_template_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.columnsarray כן
$.oneOf[0].allOf[1].Payload.columns[]string לא
$.oneOf[0].allOf[1].Payload.examplestring כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_bulk_availability_template",
    "RequestUserAlias": "example-user",
    "Payload": {
        "columns": [
            "inventory type",
            "date",
            "time/start hour",
            "quantity",
            "price",
            "currency",
            "guest first name",
            "guest last name",
            "contact email",
            "contact phone",
            "category-field JSON",
            "linked post ID"
        ],
        "example": "inventory type,date,time/start hour,quantity,price,currency,guest first name,guest last name,contact email,contact phone,category-field JSON,linked post ID\nSynthetic Dinner Table,2030-07-14,19:00,2,125,USD,Synthetic,Guest,guest@example.com,+1 202 555 0100,\"[]\","
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/partner/get_inventory

#
Get location-specific inventory types and linked community posts for a managed venue.

פרמטרים

שםסוגחובהברירת מחדלתיאור
locationID int כן — Location ID to inspect.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/partner/get_inventory' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$partner_get_inventory_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.InventoryTypesarray כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[]object לא
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Namestring כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsDefault כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsDefault.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsDefault.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsDefault.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsDefault.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocation_ID כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocation_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocation_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocation_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocation_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Admin-ATUser_ID כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Admin-ATUser_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Admin-ATUser_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Admin-ATUser_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Admin-ATUser_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Descriptionstring כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].AllowListingsDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].AllowListings.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].AllowListings.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludeGroupNameInLabelTextDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludeGroupNameInLabelText.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludeGroupNameInLabelText.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescription כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescription.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescription.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescriptionHeadline כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescriptionHeadline.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescriptionHeadline.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].PriceIncludesServiceDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].PriceIncludesService.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].PriceIncludesService.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyAmount כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyAmount.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyAmount.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyAmount.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyAmount.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsFallbackOnlyDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsFallbackOnly.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsFallbackOnly.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Headcount כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Headcount.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Headcount.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Headcount.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Headcount.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].GroupNameComp כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].GroupNameComp.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].GroupNameComp.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocationCategory_ShareableWithResourceDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocationCategory_ShareableWithResource.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocationCategory_ShareableWithResource.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyPricenumber כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].DefaultBidAmountnumber כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].DefaultOfferAmountnumber כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsClaimedboolean כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].RawNamestring כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].GroupEntryCountinteger כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].GroupNamestring כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ClaimURLstring כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATLocationInventoryType_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATLocationInventoryType_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATLocationInventoryType_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATDiscussionPosts_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATDiscussionPosts_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATDiscussionPosts_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].PostTitle כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].PostTitle.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].PostTitle.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].URLSlug = "" כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].DefaultBidAmountCentsinteger כן
$.oneOf[0].allOf[1].Payload.InventoryTypes[].DefaultOfferAmountCentsinteger כן
$.oneOf[0].allOf[1].Payload.PostLinksarray כן
$.oneOf[0].allOf[1].Payload.PostLinks[]object לא
$.oneOf[0].allOf[1].Payload.PostLinks[].IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.PostLinks[].ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.PostLinks[].ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.PostLinks[].ATLocationInventoryType_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.PostLinks[].ATLocationInventoryType_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.PostLinks[].ATLocationInventoryType_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.PostLinks[].ATDiscussionPosts_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.PostLinks[].ATDiscussionPosts_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.PostLinks[].ATDiscussionPosts_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.PostLinks[].PostTitle כן
$.oneOf[0].allOf[1].Payload.PostLinks[].PostTitle.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.PostLinks[].PostTitle.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.PostLinks[].URLSlug = "" כן
$.oneOf[0].allOf[1].Payload.Schemaobject כן
$.oneOf[0].allOf[1].Payload.Schema.readyboolean כן
$.oneOf[0].allOf[1].Payload.Schema.missingTablesarray כן
$.oneOf[0].allOf[1].Payload.Schema.missingTables[]string לא
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_inventory",
    "RequestUserAlias": "example-user",
    "Payload": {
        "InventoryTypes": [],
        "PostLinks": [],
        "Schema": {
            "ready": false,
            "missingTables": []
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/partner/get_listing_regulation_policy

#
Get the venue listing-regulation override policy for a managed venue.

פרמטרים

שםסוגחובהברירת מחדלתיאור
locationID int כן — Location ID to inspect.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/partner/get_listing_regulation_policy' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$partner_get_listing_regulation_policy_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.policystring ["None","AllowAnyone","CurrentOwnerResellOnly"] כן
$.oneOf[0].allOf[1].Payload.defaultPolicy = "CurrentOwnerResellOnly" כן
$.oneOf[0].allOf[1].Payload.canEditboolean כן
$.oneOf[0].allOf[1].Payload.schemaobject כן
$.oneOf[0].allOf[1].Payload.schema.readyboolean כן
$.oneOf[0].allOf[1].Payload.schema.missingColumnsarray כן
$.oneOf[0].allOf[1].Payload.schema.missingColumns[]string לא
$.oneOf[0].allOf[1].Payload.optionsarray כן
$.oneOf[0].allOf[1].Payload.options[]object לא
$.oneOf[0].allOf[1].Payload.options[].valuestring ["AllowAnyone","CurrentOwnerResellOnly"] כן
$.oneOf[0].allOf[1].Payload.options[].labelstring כן
$.oneOf[0].allOf[1].Payload.restrictedByRegulationboolean כן
$.oneOf[0].allOf[1].Payload.blockingRegulation כן
$.oneOf[0].allOf[1].Payload.blockingRegulation.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.blockingRegulation.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.blockingRegulation.anyOf[0].effectiveDateStartstring כן
$.oneOf[0].allOf[1].Payload.blockingRegulation.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.blockingRegulation.anyOf[1]null כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_listing_regulation_policy",
    "RequestUserAlias": "example-user",
    "Payload": {
        "policy": "None",
        "defaultPolicy": "CurrentOwnerResellOnly",
        "canEdit": false,
        "schema": {
            "ready": false,
            "missingColumns": []
        },
        "options": [],
        "restrictedByRegulation": false,
        "blockingRegulation": {
            "name": "synthetic-example",
            "effectiveDateStart": "synthetic-example",
            "id": 0
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/partner/get_location_claim_options

#
Search venues that can be selected for a partner management claim.

פרמטרים

שםסוגחובהברירת מחדלתיאור
q string לא "" Search query.
pageSize int לא 15 Maximum options to return.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/partner/get_location_claim_options' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'q={{q}}' \
  --data-urlencode 'pageSize={{pageSize}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$partner_get_location_claim_options_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.querystring כן
$.oneOf[0].allOf[1].Payload.optionsarray כן
$.oneOf[0].allOf[1].Payload.options[]object לא
$.oneOf[0].allOf[1].Payload.options[].valuestring כן
$.oneOf[0].allOf[1].Payload.options[].labelstring כן
$.oneOf[0].allOf[1].Payload.options[].subtitlestring כן
$.oneOf[0].allOf[1].Payload.options[].keywordsstring כן
$.oneOf[0].allOf[1].Payload.options[].aliasstring כן
$.oneOf[0].allOf[1].Payload.options[].citystring כן
$.oneOf[0].allOf[1].Payload.options[].countryShortstring כן
$.oneOf[0].allOf[1].Payload.options[].categoryNamestring כן
$.oneOf[0].allOf[1].Payload.options[].managementURLstring כן
$.oneOf[0].allOf[1].Payload.options[].profileURLstring כן
$.oneOf[0].allOf[1].Payload.options[].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.options[].canManageboolean כן
$.oneOf[0].allOf[1].Payload.options[].canRequestClaimboolean כן
$.oneOf[0].allOf[1].Payload.options[].pendingRequest כן
$.oneOf[0].allOf[1].Payload.options[].pendingRequest.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.options[].pendingRequest.anyOf[0].chatURLstring כן
$.oneOf[0].allOf[1].Payload.options[].pendingRequest.anyOf[0].requestIDinteger כן
$.oneOf[0].allOf[1].Payload.options[].pendingRequest.anyOf[0].chatIDinteger כן
$.oneOf[0].allOf[1].Payload.options[].pendingRequest.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.schemaobject כן
$.oneOf[0].allOf[1].Payload.schema.readyboolean כן
$.oneOf[0].allOf[1].Payload.schema.missingTablesarray כן
$.oneOf[0].allOf[1].Payload.schema.missingTables[]string לא
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_claim_options",
    "RequestUserAlias": "example-user",
    "Payload": {
        "query": "synthetic-example",
        "options": [],
        "schema": {
            "ready": false,
            "missingTables": []
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/partner/get_location_dashboard

#
Get overview demand, listing, sales, and conversion signals for a managed venue.

פרמטרים

שםסוגחובהברירת מחדלתיאור
locationID int כן — Location ID to inspect.
overviewRange string לא "30d" Timeframe key: 1d, 7d, 30d, or custom.
overviewFrom string לא "" Custom range start date when overviewRange is custom.
overviewTo string לא "" Custom range end date when overviewRange is custom.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/partner/get_location_dashboard' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}' \
  --data-urlencode 'overviewRange={{overviewRange}}' \
  --data-urlencode 'overviewFrom={{overviewFrom}}' \
  --data-urlencode 'overviewTo={{overviewTo}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$partner_get_location_dashboard_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.Dashboardobject כן
$.oneOf[0].allOf[1].Payload.Dashboard.summaryobject כן
$.oneOf[0].allOf[1].Payload.Dashboard.summary.ViewsDatabaseNumber לאNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Views.oneOf[0]number לא
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Views.oneOf[1]string לא
$.oneOf[0].allOf[1].Payload.Dashboard.summary.BidsDatabaseNumber לאNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Bids.oneOf[0]number לא
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Bids.oneOf[1]string לא
$.oneOf[0].allOf[1].Payload.Dashboard.summary.ActiveListingsDatabaseNumber לאNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.ActiveListings.oneOf[0]number לא
$.oneOf[0].allOf[1].Payload.Dashboard.summary.ActiveListings.oneOf[1]string לא
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSalesDatabaseNumber לאNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSales.oneOf[0]number לא
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSales.oneOf[1]string לא
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolumeDatabaseNumber לאNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolume.oneOf[0]number לא
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolume.oneOf[1]string לא
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Views30DayDatabaseNumber כןNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Views30Day.oneOf[0]number כן
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Views30Day.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Bids30DayDatabaseNumber כןNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Bids30Day.oneOf[0]number כן
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Bids30Day.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSales90DayDatabaseNumber כןNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSales90Day.oneOf[0]number כן
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSales90Day.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolume90DayDatabaseNumber כןNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolume90Day.oneOf[0]number כן
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolume90Day.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Dashboard.trendarray כן
$.oneOf[0].allOf[1].Payload.Dashboard.trend[]object לא
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Date כן
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Date.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Date.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].ViewsDatabaseNumber כןNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Views.oneOf[0]number כן
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Views.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].SalesDatabaseNumber כןNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Sales.oneOf[0]number כן
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Sales.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].GrossVolumeDatabaseNumber כןNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].GrossVolume.oneOf[0]number כן
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].GrossVolume.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypesarray כן
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[]object לא
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].Namestring כן
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].ListingCountDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].ListingCount.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].ListingCount.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].SalesCountDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].SalesCount.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].SalesCount.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].GrossVolumeDatabaseNumber כןNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].GrossVolume.oneOf[0]number כן
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].GrossVolume.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormattedobject כן
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.viewsstring כן
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.bidsstring כן
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.activeListingsstring כן
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.completedSalesstring כן
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.grossVolumestring כן
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.conversionstring כן
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.views30Daystring כן
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.bids30Daystring כן
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.completedSales90Daystring כן
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.grossVolume90Daystring כן
$.oneOf[0].allOf[1].Payload.Dashboard.timeframeobject כן
$.oneOf[0].allOf[1].Payload.Dashboard.timeframe.keystring ["1d","7d","30d","custom"] כן
$.oneOf[0].allOf[1].Payload.Dashboard.timeframe.fromDatestring כן
$.oneOf[0].allOf[1].Payload.Dashboard.timeframe.toDatestring כן
$.oneOf[0].allOf[1].Payload.Dashboard.timeframe.daysinteger כן
$.oneOf[0].allOf[1].Payload.Dashboard.timeframe.labelstring כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_dashboard",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Dashboard": {
            "summary": {
                "Views30Day": 0,
                "Bids30Day": 0,
                "CompletedSales90Day": 0,
                "GrossVolume90Day": 0
            },
            "trend": [],
            "topInventoryTypes": [],
            "summaryFormatted": {
                "views": "synthetic-example",
                "bids": "synthetic-example",
                "activeListings": "synthetic-example",
                "completedSales": "synthetic-example",
                "grossVolume": "synthetic-example",
                "conversion": "synthetic-example",
                "views30Day": "synthetic-example",
                "bids30Day": "synthetic-example",
                "completedSales90Day": "synthetic-example",
                "grossVolume90Day": "synthetic-example"
            },
            "timeframe": {
                "key": "1d",
                "fromDate": "synthetic-example",
                "toDate": "synthetic-example",
                "days": 0,
                "label": "synthetic-example"
            }
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/partner/get_location_inventory_forecast

#
Get a managed venue's inventory forecast using the same market-insight engine as the seller forecast, without public API pricing.

פרמטרים

שםסוגחובהברירת מחדלתיאור
locationID int לא 0 Target location ID.
locationAlias string לא "" Optional target location alias when locationID is not supplied.
dateRange string לא "30d" One of 30d, 60d, 90d, custom.
startDate string לא "" Custom range start date when dateRange=custom, YYYY-MM-DD.
endDate string לא "" Custom range end date when dateRange=custom, YYYY-MM-DD.
sourceLocationIDs string לא "" Optional comma-separated similar restaurant location IDs. If empty, saved similar restaurants are used.
sourceLocationAliases string לא "" Optional comma-separated similar restaurant aliases.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/partner/get_location_inventory_forecast' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}' \
  --data-urlencode 'locationAlias={{locationAlias}}' \
  --data-urlencode 'dateRange={{dateRange}}' \
  --data-urlencode 'startDate={{startDate}}' \
  --data-urlencode 'endDate={{endDate}}' \
  --data-urlencode 'sourceLocationIDs={{sourceLocationIDs}}' \
  --data-urlencode 'sourceLocationAliases={{sourceLocationAliases}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$partner_get_location_inventory_forecast_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.locationIDinteger כן
$.oneOf[0].allOf[1].Payload.sourceLocationIDsarray כן
$.oneOf[0].allOf[1].Payload.sourceLocationIDs[]integer לא
$.oneOf[0].allOf[1].Payload.forecastobject כן
$.oneOf[0].allOf[1].Payload.forecast.location כן
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].locationNamestring כן
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].marketLinestring כן
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].categoryNamestring כן
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].categoryID כן
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].categoryID.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].categoryID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceLocationsarray כן
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceLocations[]object לא
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceLocations[].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceLocations[].locationNamestring כן
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceLocations[].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceModestring ["likeness","direct"] כן
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[1]array כן
$.oneOf[0].allOf[1].Payload.forecast.timeframeobject כן
$.oneOf[0].allOf[1].Payload.forecast.timeframe.keystring ["30d","60d","90d","custom"] כן
$.oneOf[0].allOf[1].Payload.forecast.timeframe.daysinteger כן
$.oneOf[0].allOf[1].Payload.forecast.timeframe.fromstring כן
$.oneOf[0].allOf[1].Payload.forecast.timeframe.tostring כן
$.oneOf[0].allOf[1].Payload.forecast.timeframe.fromDatestring כן
$.oneOf[0].allOf[1].Payload.forecast.timeframe.toDatestring כן
$.oneOf[0].allOf[1].Payload.forecast.timeframe.labelstring כן
$.oneOf[0].allOf[1].Payload.forecast.summary כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].rowCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].opportunityRowCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].sourceLocationCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessmentobject כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.labelstring כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.averagePriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.confidenceLabelstring כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.recommendedListingCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.activeListingCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.neededListingCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.averagePriceCentsinteger כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.recentViewCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.showByDefaultboolean כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.statusstring ["room_for_supply","good_supply","oversupply","no_estimation"] כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.tonestring ["neutral","positive","warning"] כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.confidencestring ["high","medium","developing"] כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.reasonCodesarray כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.reasonCodes[]string ["history","likeness","events","current_demand","popularity","supply","views"] לא
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.reasonLabelsarray כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.reasonLabels[]string לא
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceFormattedstring כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceConfidenceLabelstring כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceBasisLabelstring כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceCentsinteger כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.isEstimatedPriceboolean כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceConfidencestring ["high","medium","low","none"] כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] כן
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.comparableSaleCountinteger לא
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.isExactInventoryComparableboolean לא
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.relatedPriceLocationIDinteger לא
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.relatedPriceLocationNamestring לא
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[1]array כן
$.oneOf[0].allOf[1].Payload.forecast.rowsarray כן
$.oneOf[0].allOf[1].Payload.forecast.rows[]object לא
$.oneOf[0].allOf[1].Payload.forecast.rows[].inventoryTypeNamestring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].datestring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].dateLabelstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].dateWithDayLabelstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].timeframeLabelstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].averagePriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].suggestedPriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].confidenceLabelstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].directAveragePriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].inventoryTypeIDinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].demandSignalCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].directDemandSignalCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].historyYearCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].activeListingCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].sellerCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].recommendedListingCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].neededListingCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].averagePriceCentsinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].suggestedPriceCentsinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].popularityTierinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].directAveragePriceCentsinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].isLikenessBasedboolean כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].requiresInventoryMappingboolean כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].startHour כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].startHour.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].startHour.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].confidencestring ["high","medium","developing"] כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].evidenceReasonCodesarray כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].evidenceReasonCodes[]string ["history","likeness","supply","popularity"] לא
$.oneOf[0].allOf[1].Payload.forecast.rows[].evidenceLabelsarray כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].evidenceLabels[]string לא
$.oneOf[0].allOf[1].Payload.forecast.rows[].sourceModestring ["direct","likeness","direct+likeness"] כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].sourceLocationIDsarray כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].sourceLocationIDs[]integer לא
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessmentobject כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.labelstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.averagePriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.confidenceLabelstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.recommendedListingCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.activeListingCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.neededListingCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.averagePriceCentsinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.recentViewCountinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.showByDefaultboolean כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.statusstring ["room_for_supply","good_supply","oversupply","no_estimation"] כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.tonestring ["neutral","positive","warning"] כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.confidencestring ["high","medium","developing"] כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.reasonCodesarray כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.reasonCodes[]string ["history","likeness","events","current_demand","popularity","supply","views"] לא
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.reasonLabelsarray כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.reasonLabels[]string לא
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceFormattedstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceConfidenceLabelstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceBasisLabelstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceCentsinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.isEstimatedPriceboolean כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceConfidencestring ["high","medium","low","none"] כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.comparableSaleCountinteger לא
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.isExactInventoryComparableboolean לא
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.relatedPriceLocationIDinteger לא
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.relatedPriceLocationNamestring לא
$.oneOf[0].allOf[1].Payload.forecast.rows[].competitionobject כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.countinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listingsarray כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[]object לא
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingIDstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingURLstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].inventoryTypeNamestring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingDatestring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingTimeLabelstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingDateTimeLabelstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].askingPriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].inventoryTypeIDinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].askingPriceCentsinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingViewsOneDayinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingViewsAllTimeinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingPopularityScoreBracketinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].isRequestingUserListingboolean כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingStartHour כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingStartHour.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingStartHour.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceFormattedstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceConfidenceLabelstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceBasisLabelstring כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceCentsinteger כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].isEstimatedPriceboolean כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceConfidencestring ["high","medium","low","none"] כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] כן
$.oneOf[0].allOf[1].Payload.forecast.rows[].comparableSaleCountinteger לא
$.oneOf[0].allOf[1].Payload.forecast.rows[].isExactInventoryComparableboolean לא
$.oneOf[0].allOf[1].Payload.forecast.sourceLocationIDsarray כן
$.oneOf[0].allOf[1].Payload.forecast.sourceLocationIDs[]integer לא
$.oneOf[0].allOf[1].Payload.location כן
$.oneOf[0].allOf[1].Payload.location.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.location.anyOf[0].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.location.anyOf[0].locationNamestring כן
$.oneOf[0].allOf[1].Payload.location.anyOf[0].marketLinestring כן
$.oneOf[0].allOf[1].Payload.location.anyOf[0].categoryNamestring כן
$.oneOf[0].allOf[1].Payload.location.anyOf[0].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.location.anyOf[0].categoryID כן
$.oneOf[0].allOf[1].Payload.location.anyOf[0].categoryID.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.location.anyOf[0].categoryID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceLocationsarray כן
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceLocations[]object לא
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceLocations[].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceLocations[].locationNamestring כן
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceLocations[].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceModestring ["likeness","direct"] כן
$.oneOf[0].allOf[1].Payload.location.anyOf[1]array כן
$.oneOf[0].allOf[1].Payload.timeframeobject כן
$.oneOf[0].allOf[1].Payload.timeframe.keystring ["30d","60d","90d","custom"] כן
$.oneOf[0].allOf[1].Payload.timeframe.daysinteger כן
$.oneOf[0].allOf[1].Payload.timeframe.fromstring כן
$.oneOf[0].allOf[1].Payload.timeframe.tostring כן
$.oneOf[0].allOf[1].Payload.timeframe.fromDatestring כן
$.oneOf[0].allOf[1].Payload.timeframe.toDatestring כן
$.oneOf[0].allOf[1].Payload.timeframe.labelstring כן
$.oneOf[0].allOf[1].Payload.summary כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].rowCountinteger כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].opportunityRowCountinteger כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].sourceLocationCountinteger כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessmentobject כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.labelstring כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.averagePriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.confidenceLabelstring כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.recommendedListingCountinteger כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.activeListingCountinteger כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.neededListingCountinteger כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.averagePriceCentsinteger כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.recentViewCountinteger כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.showByDefaultboolean כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.statusstring ["room_for_supply","good_supply","oversupply","no_estimation"] כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.tonestring ["neutral","positive","warning"] כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.confidencestring ["high","medium","developing"] כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.reasonCodesarray כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.reasonCodes[]string ["history","likeness","events","current_demand","popularity","supply","views"] לא
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.reasonLabelsarray כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.reasonLabels[]string לא
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceFormattedstring כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceConfidenceLabelstring כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceBasisLabelstring כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceCentsinteger כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.isEstimatedPriceboolean כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceConfidencestring ["high","medium","low","none"] כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] כן
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.comparableSaleCountinteger לא
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.isExactInventoryComparableboolean לא
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.relatedPriceLocationIDinteger לא
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.relatedPriceLocationNamestring לא
$.oneOf[0].allOf[1].Payload.summary.anyOf[1]array כן
$.oneOf[0].allOf[1].Payload.rowsarray כן
$.oneOf[0].allOf[1].Payload.rows[]object לא
$.oneOf[0].allOf[1].Payload.rows[].inventoryTypeNamestring כן
$.oneOf[0].allOf[1].Payload.rows[].datestring כן
$.oneOf[0].allOf[1].Payload.rows[].dateLabelstring כן
$.oneOf[0].allOf[1].Payload.rows[].dateWithDayLabelstring כן
$.oneOf[0].allOf[1].Payload.rows[].timeframeLabelstring כן
$.oneOf[0].allOf[1].Payload.rows[].averagePriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.rows[].suggestedPriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.rows[].confidenceLabelstring כן
$.oneOf[0].allOf[1].Payload.rows[].directAveragePriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.rows[].inventoryTypeIDinteger כן
$.oneOf[0].allOf[1].Payload.rows[].demandSignalCountinteger כן
$.oneOf[0].allOf[1].Payload.rows[].directDemandSignalCountinteger כן
$.oneOf[0].allOf[1].Payload.rows[].historyYearCountinteger כן
$.oneOf[0].allOf[1].Payload.rows[].activeListingCountinteger כן
$.oneOf[0].allOf[1].Payload.rows[].sellerCountinteger כן
$.oneOf[0].allOf[1].Payload.rows[].recommendedListingCountinteger כן
$.oneOf[0].allOf[1].Payload.rows[].neededListingCountinteger כן
$.oneOf[0].allOf[1].Payload.rows[].averagePriceCentsinteger כן
$.oneOf[0].allOf[1].Payload.rows[].suggestedPriceCentsinteger כן
$.oneOf[0].allOf[1].Payload.rows[].popularityTierinteger כן
$.oneOf[0].allOf[1].Payload.rows[].directAveragePriceCentsinteger כן
$.oneOf[0].allOf[1].Payload.rows[].isLikenessBasedboolean כן
$.oneOf[0].allOf[1].Payload.rows[].requiresInventoryMappingboolean כן
$.oneOf[0].allOf[1].Payload.rows[].startHour כן
$.oneOf[0].allOf[1].Payload.rows[].startHour.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.rows[].startHour.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.rows[].confidencestring ["high","medium","developing"] כן
$.oneOf[0].allOf[1].Payload.rows[].evidenceReasonCodesarray כן
$.oneOf[0].allOf[1].Payload.rows[].evidenceReasonCodes[]string ["history","likeness","supply","popularity"] לא
$.oneOf[0].allOf[1].Payload.rows[].evidenceLabelsarray כן
$.oneOf[0].allOf[1].Payload.rows[].evidenceLabels[]string לא
$.oneOf[0].allOf[1].Payload.rows[].sourceModestring ["direct","likeness","direct+likeness"] כן
$.oneOf[0].allOf[1].Payload.rows[].sourceLocationIDsarray כן
$.oneOf[0].allOf[1].Payload.rows[].sourceLocationIDs[]integer לא
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessmentobject כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.labelstring כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.averagePriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.confidenceLabelstring כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.recommendedListingCountinteger כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.activeListingCountinteger כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.neededListingCountinteger כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.averagePriceCentsinteger כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.recentViewCountinteger כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.showByDefaultboolean כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.statusstring ["room_for_supply","good_supply","oversupply","no_estimation"] כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.tonestring ["neutral","positive","warning"] כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.confidencestring ["high","medium","developing"] כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.reasonCodesarray כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.reasonCodes[]string ["history","likeness","events","current_demand","popularity","supply","views"] לא
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.reasonLabelsarray כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.reasonLabels[]string לא
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceFormattedstring כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceConfidenceLabelstring כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceBasisLabelstring כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceCentsinteger כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.isEstimatedPriceboolean כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceConfidencestring ["high","medium","low","none"] כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] כן
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.comparableSaleCountinteger לא
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.isExactInventoryComparableboolean לא
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.relatedPriceLocationIDinteger לא
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.relatedPriceLocationNamestring לא
$.oneOf[0].allOf[1].Payload.rows[].competitionobject כן
$.oneOf[0].allOf[1].Payload.rows[].competition.countinteger כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listingsarray כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[]object לא
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingIDstring כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingURLstring כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].inventoryTypeNamestring כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingDatestring כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingTimeLabelstring כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingDateTimeLabelstring כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].askingPriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].inventoryTypeIDinteger כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].askingPriceCentsinteger כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingViewsOneDayinteger כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingViewsAllTimeinteger כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingPopularityScoreBracketinteger כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].isRequestingUserListingboolean כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingStartHour כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingStartHour.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingStartHour.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.rows[].priceFormattedstring כן
$.oneOf[0].allOf[1].Payload.rows[].priceConfidenceLabelstring כן
$.oneOf[0].allOf[1].Payload.rows[].priceBasisLabelstring כן
$.oneOf[0].allOf[1].Payload.rows[].priceCentsinteger כן
$.oneOf[0].allOf[1].Payload.rows[].isEstimatedPriceboolean כן
$.oneOf[0].allOf[1].Payload.rows[].priceConfidencestring ["high","medium","low","none"] כן
$.oneOf[0].allOf[1].Payload.rows[].priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] כן
$.oneOf[0].allOf[1].Payload.rows[].comparableSaleCountinteger לא
$.oneOf[0].allOf[1].Payload.rows[].isExactInventoryComparableboolean לא
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_inventory_forecast",
    "RequestUserAlias": "example-user",
    "Payload": {
        "locationID": 0,
        "sourceLocationIDs": [],
        "forecast": {
            "location": {
                "locationAlias": "synthetic-example",
                "locationName": "synthetic-example",
                "marketLine": "synthetic-example",
                "categoryName": "synthetic-example",
                "locationID": 0,
                "categoryID": 0,
                "sourceLocations": [],
                "sourceMode": "likeness"
            },
            "timeframe": {
                "key": "30d",
                "days": 1,
                "from": "synthetic-example",
                "to": "synthetic-example",
                "fromDate": "synthetic-example",
                "toDate": "synthetic-example",
                "label": "synthetic-example"
            },
            "summary": {
                "rowCount": 0,
                "opportunityRowCount": 0,
                "sourceLocationCount": 0,
                "supplyAssessment": {
                    "label": "synthetic-example",
                    "averagePriceFormatted": "synthetic-example",
                    "confidenceLabel": "synthetic-example",
                    "recommendedListingCount": 0,
                    "activeListingCount": 0,
                    "neededListingCount": 0,
                    "averagePriceCents": 0,
                    "recentViewCount": 0,
                    "showByDefault": false,
                    "status": "room_for_supply",
                    "tone": "neutral",
                    "confidence": "high",
                    "reasonCodes": [],
                    "reasonLabels": [],
                    "priceFormatted": "synthetic-example",
                    "priceConfidenceLabel": "synthetic-example",
                    "priceBasisLabel": "synthetic-example",
                    "priceCents": 0,
                    "isEstimatedPrice": false,
                    "priceConfidence": "high",
                    "priceBasis": "direct_market"
                }
            },
            "rows": [],
            "sourceLocationIDs": []
        },
        "location": {
            "locationAlias": "synthetic-example",
            "locationName": "synthetic-example",
            "marketLine": "synthetic-example",
            "categoryName": "synthetic-example",
            "locationID": 0,
            "categoryID": 0,
            "sourceLocations": [],
            "sourceMode": "likeness"
        },
        "timeframe": {
            "key": "30d",
            "days": 1,
            "from": "synthetic-example",
            "to": "synthetic-example",
            "fromDate": "synthetic-example",
            "toDate": "synthetic-example",
            "label": "synthetic-example"
        },
        "summary": {
            "rowCount": 0,
            "opportunityRowCount": 0,
            "sourceLocationCount": 0,
            "supplyAssessment": {
                "label": "synthetic-example",
                "averagePriceFormatted": "synthetic-example",
                "confidenceLabel": "synthetic-example",
                "recommendedListingCount": 0,
                "activeListingCount": 0,
                "neededListingCount": 0,
                "averagePriceCents": 0,
                "recentViewCount": 0,
                "showByDefault": false,
                "status": "room_for_supply",
                "tone": "neutral",
                "confidence": "high",
                "reasonCodes": [],
                "reasonLabels": [],
                "priceFormatted": "synthetic-example",
                "priceConfidenceLabel": "synthetic-example",
                "priceBasisLabel": "synthetic-example",
                "priceCents": 0,
                "isEstimatedPrice": false,
                "priceConfidence": "high",
                "priceBasis": "direct_market"
            }
        },
        "rows": []
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/partner/get_location_likeness_group

#
Get saved similar restaurants and suggested related restaurants for a managed venue forecast.

פרמטרים

שםסוגחובהברירת מחדלתיאור
locationID int כן — Location ID to inspect.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/partner/get_location_likeness_group' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$partner_get_location_likeness_group_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.LocationIDinteger כן
$.oneOf[0].allOf[1].Payload.Schemaobject כן
$.oneOf[0].allOf[1].Payload.Schema.readyboolean כן
$.oneOf[0].allOf[1].Payload.Schema.missingTablesarray כן
$.oneOf[0].allOf[1].Payload.Schema.missingTables[]string לא
$.oneOf[0].allOf[1].Payload.SelectedOptionsarray כן
$.oneOf[0].allOf[1].Payload.SelectedOptions[]object לא
$.oneOf[0].allOf[1].Payload.SelectedOptions[].valuestring כן
$.oneOf[0].allOf[1].Payload.SelectedOptions[].labelstring כן
$.oneOf[0].allOf[1].Payload.SelectedOptions[].subtitlestring כן
$.oneOf[0].allOf[1].Payload.SelectedOptions[].keywordsstring כן
$.oneOf[0].allOf[1].Payload.SelectedOptions[].aliasstring כן
$.oneOf[0].allOf[1].Payload.SelectedOptions[].namestring כן
$.oneOf[0].allOf[1].Payload.SelectedOptions[].cityLinestring כן
$.oneOf[0].allOf[1].Payload.SelectedOptions[].categoryNamestring כן
$.oneOf[0].allOf[1].Payload.SelectedOptions[].sourcestring כן
$.oneOf[0].allOf[1].Payload.SelectedOptions[].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.SelectedOptions[].relationshipCountinteger כן
$.oneOf[0].allOf[1].Payload.SelectedLocationIDsarray כן
$.oneOf[0].allOf[1].Payload.SelectedLocationIDs[]integer לא
$.oneOf[0].allOf[1].Payload.SelectedAliasesarray כן
$.oneOf[0].allOf[1].Payload.SelectedAliases[]string לא
$.oneOf[0].allOf[1].Payload.SuggestedOptionsarray כן
$.oneOf[0].allOf[1].Payload.SuggestedOptions[]object לא
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].valuestring כן
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].labelstring כן
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].subtitlestring כן
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].keywordsstring כן
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].aliasstring כן
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].namestring כן
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].cityLinestring כן
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].categoryNamestring כן
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].sourcestring כן
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].relationshipCountinteger כן
$.oneOf[0].allOf[1].Payload.CanEditboolean כן
$.oneOf[0].allOf[1].Payload.CanBulkAvailabilityboolean כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_likeness_group",
    "RequestUserAlias": "example-user",
    "Payload": {
        "LocationID": 0,
        "Schema": {
            "ready": false,
            "missingTables": []
        },
        "SelectedOptions": [],
        "SelectedLocationIDs": [],
        "SelectedAliases": [],
        "SuggestedOptions": [],
        "CanEdit": false,
        "CanBulkAvailability": false
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/partner/get_location_likeness_options

#
Search restaurants that can be added to a managed venue's similarity group.

פרמטרים

שםסוגחובהברירת מחדלתיאור
locationID int כן — Target location ID.
q string לא "" Search query.
pageSize int לא 15 Maximum options to return.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/partner/get_location_likeness_options' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}' \
  --data-urlencode 'q={{q}}' \
  --data-urlencode 'pageSize={{pageSize}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$partner_get_location_likeness_options_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.optionsarray כן
$.oneOf[0].allOf[1].Payload.options[]object לא
$.oneOf[0].allOf[1].Payload.options[].valuestring כן
$.oneOf[0].allOf[1].Payload.options[].labelstring כן
$.oneOf[0].allOf[1].Payload.options[].subtitlestring כן
$.oneOf[0].allOf[1].Payload.options[].keywordsstring כן
$.oneOf[0].allOf[1].Payload.options[].aliasstring כן
$.oneOf[0].allOf[1].Payload.options[].namestring כן
$.oneOf[0].allOf[1].Payload.options[].cityLinestring כן
$.oneOf[0].allOf[1].Payload.options[].categoryNamestring כן
$.oneOf[0].allOf[1].Payload.options[].sourcestring כן
$.oneOf[0].allOf[1].Payload.options[].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.options[].relationshipCountinteger כן
$.oneOf[0].allOf[1].Payload.pageSizeinteger כן
$.oneOf[0].allOf[1].Payload.querystring כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_likeness_options",
    "RequestUserAlias": "example-user",
    "Payload": {
        "options": [],
        "pageSize": 1,
        "query": "synthetic-example"
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/partner/get_location_livestream

#
Get the featured livestream post for a managed venue.

פרמטרים

שםסוגחובהברירת מחדלתיאור
locationID int כן — Location ID to inspect.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/partner/get_location_livestream' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$partner_get_location_livestream_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.Featured כן
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].postTitlestring כן
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].postURLstring כן
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].goLiveURLstring כן
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].liveStreamStartDatestring כן
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].boardNamestring כן
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].featuredLivestreamLinkIDinteger כן
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].postIDinteger כן
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].postAuthorUserIDinteger כן
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].isLiveboolean כן
$.oneOf[0].allOf[1].Payload.Featured.anyOf[1]array כן
$.oneOf[0].allOf[1].Payload.Schemaobject כן
$.oneOf[0].allOf[1].Payload.Schema.readyboolean כן
$.oneOf[0].allOf[1].Payload.Schema.missingTablesarray כן
$.oneOf[0].allOf[1].Payload.Schema.missingTables[]string לא
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_livestream",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Featured": {
            "postTitle": "synthetic-example",
            "postURL": "synthetic-example",
            "goLiveURL": "synthetic-example",
            "liveStreamStartDate": "synthetic-example",
            "boardName": "synthetic-example",
            "featuredLivestreamLinkID": 0,
            "locationID": 0,
            "postID": 0,
            "postAuthorUserID": 0,
            "isLive": false
        },
        "Schema": {
            "ready": false,
            "missingTables": []
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/partner/get_locations

#
Get the venue locations this user personally manages through partner team roles or legacy location-user grants, plus their pending venue management applications. Global administrator access alone does not add locations.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/partner/get_locations' \
  --data-urlencode 'key={{API_KEY}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$partner_get_locations_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.schemaobject כן
$.oneOf[0].allOf[1].Payload.schema.readyboolean כן
$.oneOf[0].allOf[1].Payload.schema.missingTablesarray כן
$.oneOf[0].allOf[1].Payload.schema.missingTables[]string לא
$.oneOf[0].allOf[1].Payload.locationsarray כן
$.oneOf[0].allOf[1].Payload.locations[]object לא
$.oneOf[0].allOf[1].Payload.locations[].namestring כן
$.oneOf[0].allOf[1].Payload.locations[].aliasstring כן
$.oneOf[0].allOf[1].Payload.locations[].cityLinestring כן
$.oneOf[0].allOf[1].Payload.locations[].partnerAccountNamestring כן
$.oneOf[0].allOf[1].Payload.locations[].rolestring כן
$.oneOf[0].allOf[1].Payload.locations[].sourcestring כן
$.oneOf[0].allOf[1].Payload.locations[].managementURLstring כן
$.oneOf[0].allOf[1].Payload.locations[].profileURLstring כן
$.oneOf[0].allOf[1].Payload.locations[].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.locations[].partnerAccountID כן
$.oneOf[0].allOf[1].Payload.locations[].partnerAccountID.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.locations[].partnerAccountID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.pendingRequestsarray כן
$.oneOf[0].allOf[1].Payload.pendingRequests[]object לא
$.oneOf[0].allOf[1].Payload.pendingRequests[].namestring כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].aliasstring כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].cityLinestring כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].statusstring כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].createdDatestring כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].chatURLstring כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].managementURLstring כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].profileURLstring כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].requestIDinteger כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].chatIDinteger כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationStatusstring כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationChatIDinteger כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationChatURLstring כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationUnreadCount כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationUnreadCount.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationUnreadCount.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].sidebarStatus כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].sidebarStatus.anyOf[0]string ["answer-required","pending"] כן
$.oneOf[0].allOf[1].Payload.pendingRequests[].sidebarStatus.anyOf[1]null כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_locations",
    "RequestUserAlias": "example-user",
    "Payload": {
        "schema": {
            "ready": false,
            "missingTables": []
        },
        "locations": [],
        "pendingRequests": []
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/partner/get_opening_hours

#
Get weekly recurring opening-hour windows for a venue the current user may edit.

פרמטרים

שםסוגחובהברירת מחדלתיאור
locationID int כן — Location ID to inspect.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/partner/get_opening_hours' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$partner_get_opening_hours_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.OpeningHoursobject כן
$.oneOf[0].allOf[1].Payload.OpeningHours.schemaobject כן
$.oneOf[0].allOf[1].Payload.OpeningHours.schema.readyboolean כן
$.oneOf[0].allOf[1].Payload.OpeningHours.schema.missingTablesarray כן
$.oneOf[0].allOf[1].Payload.OpeningHours.schema.missingTables[]string לא
$.oneOf[0].allOf[1].Payload.OpeningHours.sourcestring ["legacy","split"] כן
$.oneOf[0].allOf[1].Payload.OpeningHours.maxWindowsPerDay = 4 כן
$.oneOf[0].allOf[1].Payload.OpeningHours.daysarray כן
$.oneOf[0].allOf[1].Payload.OpeningHours.days[]object לא
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].keystring כן
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].labelstring כן
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].humanReadablestring כן
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].weekdayinteger כןMonday=0 through Sunday=6.
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].openTimeinteger כן
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].closeTimeinteger כן
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].closedboolean כן
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windowsarray כן
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[]object לאTimes are integer HHMM; close <= open means the following day.
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].openTimeInputstring כן
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].closeTimeInputstring כן
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].labelstring כן
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].idinteger כן
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].openTimeinteger כן
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].closeTimeinteger כן
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].overnightboolean כן
$.oneOf[0].allOf[1].Payload.OpeningHours.CanEdit = true כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_opening_hours",
    "RequestUserAlias": "example-user",
    "Payload": {
        "OpeningHours": {
            "schema": {
                "ready": false,
                "missingTables": []
            },
            "source": "legacy",
            "maxWindowsPerDay": 4,
            "days": [
                {
                    "weekday": 0,
                    "key": "monday",
                    "label": "Monday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 1,
                    "key": "tuesday",
                    "label": "Tuesday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 2,
                    "key": "wednesday",
                    "label": "Wednesday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 3,
                    "key": "thursday",
                    "label": "Thursday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 4,
                    "key": "friday",
                    "label": "Friday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 5,
                    "key": "saturday",
                    "label": "Saturday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 6,
                    "key": "sunday",
                    "label": "Sunday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                }
            ],
            "CanEdit": true
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/partner/get_team

#
Get active team members, pending invites, and recent partner audit events for a managed venue.

פרמטרים

שםסוגחובהברירת מחדלתיאור
locationID int כן — Location ID to inspect.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/partner/get_team' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$partner_get_team_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.Teamobject כן
$.oneOf[0].allOf[1].Payload.Team.partnerAccountIDinteger לא
$.oneOf[0].allOf[1].Payload.Team.membersarray כן
$.oneOf[0].allOf[1].Payload.Team.members[]object לא
$.oneOf[0].allOf[1].Payload.Team.members[].IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.members[].ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Team.members[].ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Team.members[].ATUser_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.members[].ATUser_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Team.members[].ATUser_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Team.members[].Rolestring ["Owner","Admin","InventoryManager","HostSupport","Finance","Analyst"] כן
$.oneOf[0].allOf[1].Payload.Team.members[].Status = "Active" כן
$.oneOf[0].allOf[1].Payload.Team.members[].CreatedDatestring כן
$.oneOf[0].allOf[1].Payload.Team.members[].AcceptedDate כן
$.oneOf[0].allOf[1].Payload.Team.members[].AcceptedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Team.members[].AcceptedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Team.members[].Aliasstring כן
$.oneOf[0].allOf[1].Payload.Team.members[].Email כן
$.oneOf[0].allOf[1].Payload.Team.members[].Email.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Team.members[].Email.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Team.members[].Avatarstring כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].actorUserIDinteger כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].targetUserIDinteger כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].isBlockedboolean כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].blockedDate כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].blockedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].blockedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].isMutedboolean כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].mutedDate כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].mutedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].mutedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].reasonstring כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].personalNotestring כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[1].personalNote = "" כן
$.oneOf[0].allOf[1].Payload.Team.invitesarray כן
$.oneOf[0].allOf[1].Payload.Team.invites[]object לא
$.oneOf[0].allOf[1].Payload.Team.invites[].IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.invites[].ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Team.invites[].ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Team.invites[].InviteTokenstring כןSynthetic placeholder in documentation; runtime value is a private team invitation token.
$.oneOf[0].allOf[1].Payload.Team.invites[].Rolestring ["Owner","Admin","InventoryManager","HostSupport","Finance","Analyst"] כן
$.oneOf[0].allOf[1].Payload.Team.invites[].InviteEmail כן
$.oneOf[0].allOf[1].Payload.Team.invites[].InviteEmail.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Team.invites[].InviteEmail.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Team.invites[].Statusstring ["Pending","Accepted","Revoked","Expired"] כן
$.oneOf[0].allOf[1].Payload.Team.invites[].CreatedDatestring כן
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedBy-ATUser_ID כן
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedBy-ATUser_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedBy-ATUser_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedBy-ATUser_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedBy-ATUser_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedDate כן
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Team.invites[].ExpiresDate כן
$.oneOf[0].allOf[1].Payload.Team.invites[].ExpiresDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Team.invites[].ExpiresDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Team.invites[].CreatedBy-ATUser_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.invites[].CreatedBy-ATUser_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Team.invites[].CreatedBy-ATUser_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Team.auditarray כן
$.oneOf[0].allOf[1].Payload.Team.audit[]object לא
$.oneOf[0].allOf[1].Payload.Team.audit[].IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.audit[].ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Team.audit[].ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Team.audit[].CreatedDatestring כן
$.oneOf[0].allOf[1].Payload.Team.audit[].Actionstring כן
$.oneOf[0].allOf[1].Payload.Team.audit[].Actor-ATUser_ID כן
$.oneOf[0].allOf[1].Payload.Team.audit[].Actor-ATUser_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.audit[].Actor-ATUser_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Team.audit[].Actor-ATUser_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Team.audit[].Actor-ATUser_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Team.audit[].Target-ATUser_ID כן
$.oneOf[0].allOf[1].Payload.Team.audit[].Target-ATUser_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.audit[].Target-ATUser_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Team.audit[].Target-ATUser_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Team.audit[].Target-ATUser_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON כן
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0]string (application/json) כן
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0]PartnerAuditContext (JSON מפוענח) כן
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].previousPolicystring ["None","AllowAnyone","CurrentOwnerResellOnly"] לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].policystring ["AllowAnyone","CurrentOwnerResellOnly"] לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].requestIDDatabaseInteger לאInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].requestID.oneOf[0]integer לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].requestID.oneOf[1]string לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].locationIDsarray לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].locationIDs[]integer לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].countinteger לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].dayCountinteger לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].windowCountinteger לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].reasonstring לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].alreadyDeletedboolean לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].penaltySummaryobject לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].penaltySummary.penaltyCountinteger כן
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].penaltySummary.existingPenaltyCountinteger כן
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].penaltySummary.pointsAmountinteger כן
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].penaltySummary.currencyAmountinteger כן
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inventoryTypeIDinteger לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].postIDinteger לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].createdPostboolean לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].rowCountinteger לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].createdCountinteger לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].errorCountinteger לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].appointmentIDsarray לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].appointmentIDs[]integer לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].rolestring ["Owner","Admin","InventoryManager","HostSupport","Finance","Analyst"] לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inviteID לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inviteID.anyOf[0]DatabaseInteger לאInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inviteID.anyOf[0].oneOf[0]integer לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inviteID.anyOf[0].oneOf[1]string לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inviteID.anyOf[1]boolean לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].emailstring לא
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[1]array כן
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Team.audit[].ActorAlias כן
$.oneOf[0].allOf[1].Payload.Team.audit[].ActorAlias.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Team.audit[].ActorAlias.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Team.audit[].TargetAlias כן
$.oneOf[0].allOf[1].Payload.Team.audit[].TargetAlias.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Team.audit[].TargetAlias.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Schemaobject כן
$.oneOf[0].allOf[1].Payload.Schema.readyboolean כן
$.oneOf[0].allOf[1].Payload.Schema.missingTablesarray כן
$.oneOf[0].allOf[1].Payload.Schema.missingTables[]string לא
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
[...]
